%global snapshot 20140417

Name:           kde-plasma-milou
Version:        0.1
Release:        0.5.%{snapshot}git%{?dist}
Summary:        Plasma applet for finding anything

License:        GPLv2+ and LGPLv2+
URL:            https://projects.kde.org/projects/extragear/base/milou

# git archive --format tar --remote git://git.anongit.kde/milou \
#             --prefix milou-%%{version}/ master |
# xz -c > milou-%%{version}-%%{snapshot}git.tar.xz
Source0:        milou-%{version}.%{snapshot}git.tar.xz

BuildRequires:  cmake
BuildRequires:  kdelibs4-devel
BuildRequires:  kdepimlibs-devel >= 4.12.90
BuildRequires:  baloo-devel >= 4.12.90
BuildRequires:  kfilemetadata-devel

%description
A Plasma applet that can search files, emails, contacts, events and more
data indexed by KDE Desktop Search.

%prep
%setup -q -n milou-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING COPYING.LIB
%{_kde4_libdir}/libmilou.so
%{_kde4_libdir}/libmilou.so.*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/imports/org/kde/milou
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_appsdir}/plasma/plasmoids/org.kde.milou

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.20140417git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 17 2014 Daniel Vrátil <dvratil@redhat.com> 0.1-0.4.20140417git
- Rename to kde-plasma-milou
- Update to latest git snapshot

* Tue Apr 15 2014 Daniel Vrátil <dvratil@redhat.com> 0.1-0.3.20140415git
- Update to latest git snapshot

* Fri Apr 11 2014 Daniel Vrátil <dvratil@redhat.com> 0.1-0.1.20140411git
- Updates to latest git snapshot
- Added %%post and %%postun sections
- Fixed project Url

* Tue Apr 08 2014 Daniel Vrátil <dvratil@redhat.com> 0.1-0.1.20140408git
- Updated to latest git snapshot
- Fixed License field

* Thu Mar 20 2014 Daniel Vrátil <dvratil@redhat.com> 0.1-0.1.20140320git
- Initial version
